Package org.apache.qpid.proton.codec

# Class ByteType

java.lang.Object
org.apache.qpid.proton.codec.ByteType

All Implemented Interfaces:
  `AMQPType<Byte>`, `PrimitiveType<Byte>`

public class ByteType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ByteType.ByteEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<ByteType.ByteEncoding>`
`getAllEncodings()`
`ByteType.ByteEncoding`
`getCanonicalEncoding()`
`ByteType.ByteEncoding`
`getEncoding(Byte val)`
`Class<Byte>`
`getTypeClass()`
`final void`
`write(Byte val)`
`void`
`writeType(byte b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Byte> getTypeClass()

### getEncoding

public ByteType.ByteEncoding getEncoding(Byte val)

### getCanonicalEncoding

public ByteType.ByteEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<ByteType.ByteEncoding> getAllEncodings()

### writeType

public void writeType(byte b)

### write

public final void write(Byte val)

Specified by:
  `write` in interface `AMQPType<T>`